<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">

  <div class="page-header">
    <div class="container-fluid">
      <div class="pull-right">
        <button type="submit" form="form-paybullpayment" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
        <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
                <h1><?php echo $heading_title; ?></h1>
        <ul class="breadcrumb">
          <?php foreach ($breadcrumbs as $breadcrumb) { ?>
          <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
          <?php } ?>
        </ul>
      </div>
    </div>

      <div class="container-fluid">
          <?php if ($error_warning) { ?>
    <div class="warning"><?php echo $error_warning; ?></div>
    <?php } ?>

    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_edit; ?></h3>
        <div class="pull-right">
          <?php if($connected){ ?>
            <span style="color:green;">
              <i class="fa fa-check"></i>
              <?php echo $text_connected; ?>
            </span>
            <?php } else { ?>
              <span style="color:red;">
              <i class="fa fa-times"></i>
              <?php echo $text_notconnected; ?>
            </span>
            <?php } ?>
        </div>
      </div>
      <div class="panel-body">

        <form class="form-horizontal" action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-paybullpayment">
            
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-order-status"><span class="required">*</span> <?php echo $entry_merchant_key; ?></label>
            <div class="col-sm-10">
              <input class="form-control" type="text" name="paybullpayment_merchant_key" value="<?php echo $paybullpayment_merchant_key; ?>" />  
            </div>
          </div> 

          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-order-status"><span class="required">*</span> <?php echo $entry_app_key; ?></label>
            <div class="col-sm-10">
              <input class="form-control" type="text" name="paybullpayment_app_key" value="<?php echo $paybullpayment_app_key; ?>" />  
            </div>
          </div> 

          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-order-status"><span class="required">*</span> <?php echo $entry_app_secret; ?></label>
            <div class="col-sm-10">
              <input class="form-control"  type="text" name="paybullpayment_app_secret" value="<?php echo $paybullpayment_app_secret; ?>" />  
            </div>
          </div> 

          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-order-status"><span class="required">*</span> <?php echo $entry_merchant_id; ?></label>
            <div class="col-sm-10">
              <input class="form-control"  type="text" name="paybullpayment_merchant_id" value="<?php echo $paybullpayment_merchant_id; ?>" />  
            </div>
          </div> 

          
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-order-status"><span class="required">*</span> 
            <?php echo $entry_sale_web_hook_key; ?></label>
            <div class="col-sm-10">
              <input class="form-control"  type="text" name="paybullpayment_sale_web_hook_key" value="<?php echo $paybullpayment_sale_web_hook_key; ?>" />  
              <span><?php echo $paybullpayment_sale_web_hook_url; ?></span>
            </div>
          </div> 

          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-order-status"><span class="required">*</span> <?php echo $entry_refund_web_hook_key; ?></label>
            <div class="col-sm-10">
              <input class="form-control"  type="text" name="paybullpayment_refund_web_hook_key" value="<?php echo $paybullpayment_refund_web_hook_key; ?>" />  
              <span><?php echo $paybullpayment_refund_web_hook_url; ?></span>
            </div>
          </div> 

          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-order-status"><span class="required">*</span> <?php echo $entry_recurring_web_hook_key; ?></label>
            <div class="col-sm-10">
              <input class="form-control"  type="text" name="paybullpayment_recurring_web_hook_key" value="<?php echo $paybullpayment_recurring_web_hook_key; ?>" />  
              <span><?php echo $paybullpayment_recurring_web_hook_url; ?></span>
            </div>
          </div> 

                           <div class="form-group">
            <label class="col-sm-2 control-label" for="input-order-status">
                <?php echo $entry_environment; ?>
            </label>
            <div class="col-sm-10">
               <select class="form-control"  name="paybullpayment_environment">
                      
                        <?php if($paybullpayment_environment == 'test'){ ?>
                      <option value="test" selected="selected"><?php echo $text_test; ?></option>
                      <option value="prod"><?php echo $text_live; ?></option>
                      <?php } else { ?>
                      <option value="test"><?php echo $text_test; ?></option>
                      <option value="prod" selected="selected"><?php echo $text_live; ?></option>
                      <?php } ?>
                    </select>
            </div>
          </div>  

                              <div class="form-group">
            <label class="col-sm-2 control-label" for="input-order-status">
                <?php echo $entry_provision; ?>
            </label>
            <div class="col-sm-10">
               <select class="form-control"  name="paybullpayment_provision">
                      
                        <?php if($paybullpayment_provision == 'PreAuth'){ ?>
                      <option value="Auth">Auth</option>
                      <option value="PreAuth" selected="selected">PreAuth</option>
                      <?php } else { ?>
                      
                      <option value="Auth" selected="selected">Auth</option>
                      <option value="PreAuth">PreAuth</option>
                      <?php } ?>
                    </select>
            </div>
          </div>   

<div class="form-group">
            <label class="col-sm-2 control-label" for="input-order-status">
              <?php echo $entry_cardsave; ?>
            </label>
            <div class="col-sm-10">
               <select class="form-control"  name="paybullpayment_cardsave">
                       
                      <?php if($paybullpayment_cardsave){ ?>
                       <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                       <option value="0"><?php echo $text_disabled; ?></option>
                       <?php } else { ?>
                       <option value="1"><?php echo $text_enabled; ?></option>
                       <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                       <?php } ?>
                      </select>
            </div>
          </div> 

<div class="form-group">
            <label class="col-sm-2 control-label" for="input-order-status">
              <?php echo $entry_debug; ?>
            </label>
            <div class="col-sm-10">
               <select class="form-control"  name="paybullpayment_debug">
                       <?php if($paybullpayment_debug){ ?>
                       <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                       <option value="0"><?php echo $text_disabled; ?></option>
                       <?php } else { ?>
                       <option value="1"><?php echo $text_enabled; ?></option>
                       <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                       <?php } ?>
                      </select>
                       <span class=""><?php echo $entry_debug_description; ?></span>
            </div>
          </div> 

          

          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-order-status">
              <?php echo $entry_installment_list; ?>
            </label>
            <div class="col-sm-10">
               <select class="form-control"  name="paybullpayment_installments[]" multiple>
                  
                    <?php foreach ($available_installments as $installment) { ?>
                    <option value="<?php echo $installment; ?>" 
                    <?php if(in_array($installment, $paybullpayment_installments)){ ?>selected="selected"<?php } ?>
                    >
                    <?php echo $installment; ?> <?php echo $entry_installment_text; ?>
                    </option>
                  <?php } ?>
                </select> 
            </div>
          </div>
               

            

                         <div class="form-group">
            <label class="col-sm-2 control-label" for="input-order-status">
                <?php echo $entry_status; ?>
            </label>
            <div class="col-sm-10">
               <select class="form-control"  name="paybullpayment_status">
                  
                    <?php if ($paybullpayment_status) { ?>
                  <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                  <option value="0"><?php echo $text_disabled; ?></option>
                  <?php } else { ?>
                  <option value="1"><?php echo $text_enabled; ?></option>
                  <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                  <?php } ?>
                </select>
            </div>
          </div> 


                      <div class="form-group">
            <label class="col-sm-2 control-label" for="input-order-status">
              <?php echo $entry_order_status; ?>
            </label>
            <div class="col-sm-10">
               <select class="form-control"  name="paybullpayment_order_status_id">
                  

                  <?php foreach ($order_statuses as $order_status) { ?>
                  <?php if ($order_status['order_status_id'] == $paybullpayment_order_status_id) { ?>
                  <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                  <?php } else { ?>
                  <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                  <?php } ?>
                  <?php } ?>
                </select>
            </div>
          </div> 

          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-order-status">
              <?php echo $entry_sort_order; ?>
            </label>
            <div class="col-sm-10">
               <input class="form-control"  type="text" name="paybullpayment_sort_order" value="<?php echo $paybullpayment_sort_order; ?>" size="1" />
            </div>
          </div> 
             
              
            <input class="form-control"  type="hidden" name="paybullpayment_token" value="<?php echo $paybullpayment_token; ?>" />
          </form>
        </div>
        </div></div>
      
            <?php echo $footer; ?>